/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "MC_3DCamera.h"

#include <QtOpenGL>
#include <QDebug>

#include <iostream>

void MC_3DCamera :: display()
{
    std::cout << "Position: (" << m_position.x() << ";" << m_position.y() << ";" << m_position.z() << ")" << std::endl;
    std::cout << "Interest point: (" << m_interestPoint.x() << ";" << m_interestPoint.y() << ";" << m_interestPoint.z() << ")" << std::endl;
    std::cout << "Up: (" << m_up.x() << ";" << m_up.y() << ";" << m_up.z() << ")" << std::endl;
}

QDebug operator<<(QDebug dbg, const MC_3DCamera& c)
{
    dbg << "Position: " << c.position();
    dbg << "Direction: " << c.interestPoint();
    dbg << "Up: " << c.up();

    return dbg.space();
}
