/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "MC_3DShapeModelGL.h"

MC_3DShapeModelGL :: MC_3DShapeModelGL()
    :MC_3DShapeModel()
{

}

bool MC_3DShapeModelGL :: loadShape(const QString& name, const MC_3DShape& shape)
{
    m_name = name;
    m_shape = shape;

    m_isEnabled = true;

    return true;
}

void MC_3DShapeModelGL :: draw()
{
    glVertexPointer(3,GL_FLOAT,0,m_shape.getVertices().constData());
    glNormalPointer(GL_FLOAT,0,m_shape.getNormals().constData());
    glDrawElements(GL_TRIANGLES,m_shape.getIndicesNumber(),GL_UNSIGNED_INT,m_shape.getIndices().constData());
}
