#ifndef __MC_3DSHAPEWIDGETITEM_H__
#define __MC_3DSHAPEWIDGETITEM_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <QListWidgetItem>

class MC_3DShapeWidgetItem : public QListWidgetItem
{
private:

    static const unsigned int MC_3DShapeWidgetItemType = QListWidgetItem::UserType + 1;

protected:

public:

    MC_3DShapeWidgetItem(const QString& text, QListWidget* parent = 0, int type = MC_3DShapeWidgetItemType);
};

/*! \class MC_3DShapeWidgetItem MC_3DShapeWidgetItem.h "MC_3DShapeWidgetItem.h"
    \brief Widget to display the list of shapes in the scene
 */

/*! \fn MC_3DShapeWidgetItem :: MC_3DShapeWidgetItem(const QString& text, QListWidget* parent = 0, int type = MC_3DShapeWidgetItemType)
 *  \param text the text in the window bar
 *  \param parent the parent for this widget
 *  \param type
 */

#endif
