uniform mat4 worldMatrix;
uniform mat4 viewMatrix;
uniform mat4 projMatrix;
uniform mat4 worldViewProjMatrix;
uniform mat4 invViewMatrix;

uniform vec4 shapeColourDiffuse;
uniform vec3 lightDirection = vec3(5.0,0.0,0.0);

varying float lightFactor;

void main()
{
    gl_Position = worldViewProjMatrix * gl_Vertex;
	// gl_Position = projMatrix * viewMatrix * worldMatrix * gl_Vertex;
	
	lightFactor = max(min(dot(gl_Normal, lightDirection),1.0), 0.0);
	gl_FrontColor = shapeColourDiffuse;
}
