#include "mainwindow.h"

#include <QMenu>

#include "Sources/MC_3DWidget.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    m_logger("./MC_3DWidget.log"),
    m_p3DWidget(new MC_3DWidget(&m_logger,this)),
    m_pFileMenu(new QMenu(tr("File"),this)),
    m_pWindowMenu(new QMenu(tr("Window"),this))
{
    this->setGeometry(this->geometry().x(),this->geometry().y(),500,500);

    this->setCentralWidget(m_p3DWidget);

    this->menuBar()->addMenu(m_pFileMenu);
    QAction* p_loadFileAction = m_pFileMenu->addAction(tr("Load 3D Files"));
    connect(p_loadFileAction, SIGNAL(triggered()), m_p3DWidget, SLOT(load3DFiles()));

    this->menuBar()->addMenu(m_pWindowMenu);
    QAction* p_shapeListAction = m_pWindowMenu->addAction(tr("Shape list"));
    connect(p_shapeListAction, SIGNAL(triggered()), m_p3DWidget, SLOT(displayShapeList()));
}

MainWindow::~MainWindow()
{
    delete m_pFileMenu;
    delete m_p3DWidget;
}

void MainWindow :: closeEvent(QCloseEvent *pQCE)
{
    m_p3DWidget->closeEvent(pQCE);
}
