#include "mainwindow.h"

#include <QMenu>
#include <QMenuBar>

#include "ECGViewerWidget.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent),
      m_logger("./ECGViewer.log"),
      m_pViewerWidget(new ECGViewerWidget(&m_logger,this)),
      m_pFileMenu(new QMenu(tr("File"),this))
{
    this->setCentralWidget(m_pViewerWidget);

    this->menuBar()->addMenu(m_pFileMenu);
    QAction* p_loadFileAction = m_pFileMenu->addAction(tr("Load ECG Files"));
    connect(p_loadFileAction, SIGNAL(triggered()), m_pViewerWidget, SLOT(loadECGFiles()));
}

MainWindow::~MainWindow()
{
    delete m_pFileMenu;
    delete m_pViewerWidget;
}
