import QtQuick 1.0

Rectangle
{
    id: button
    property string title: "Button"
    width: 100
    height: 62
    color: "#80000000"
    radius: 5
    smooth: true
    border.width: 0
    opacity: 1.0

    signal buttonClick()

    MouseArea
    {
        id: mouseArea
        anchors.fill: parent
        onClicked: buttonClick()
    }

    Text {
        id: text1
        x: -5
        y: 0
        color: "#ffffff"
        text: title
        style: Text.Outline
        anchors.fill: parent
        styleColor: "#000000"
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }
    states: [
        State {
            name: "ButtonNormal"
            when: mouseArea.pressed == false

            PropertyChanges
            {
                target: button
                color: "#80ffffff"
                radius: 5
                smooth: true
                border.width: 1
                border.color: "#80000000"
            }

            PropertyChanges {
                target: text1
                color: "#000000"
                styleColor: "#00000000"
                style: "Outline"
            }
        },
        State {
            name: "ButtonPressed"
            when: mouseArea.pressed == true

            PropertyChanges
            {
                target: button
                color: "#80000000"
                radius: 5
                smooth: true
                border.width: 0
            }

            PropertyChanges {
                target: text1
                style: "Outline"
            }
        }
    ]
}
