import QtQuick 1.0

FocusScope
{
    property alias text: lineEdit.text
    property alias echoMode: lineEdit.echoMode
    property alias inputText: textInput.text
    Item
    {
        id: lineEdit

        property string text: "LineEdit: "
        property string echoMode: "Normal"

        Rectangle
        {
            id: textInputContainer
            border.color: "black"
            width: 90
            height: 15
            radius: 5
            anchors.right: parent.right
            anchors.rightMargin: 0
            anchors.verticalCenter: parent.verticalCenter
            anchors.verticalCenterOffset: 0
            TextInput
            {
                id: textInput
                width: 80
                height: 20
                anchors.left: textInputContainer.left
                anchors.leftMargin: 5
                echoMode: lineEdit.echoMode
                focus: true
                font.pixelSize: 12
            }
        }

        Text
        {
            id: textCaption
            text: lineEdit.text
            anchors.right: textInputContainer.left
            anchors.leftMargin: 5
            anchors.verticalCenterOffset: 0
            anchors.verticalCenter: parent.verticalCenter
        }
    }
}
