import QtQuick 1.0

Rectangle {
    //anchors.fill: parent
    width: 1000
    height: 500

    signal selectedItem(string patientName)
    signal operationSelected(string operationName, string operationDate)

    Rectangle
    {
        id: patientListBox
        width: 200
        height: parent.height
        color: "#d5cfc3"
        border.color: "#90000000"
        border.width: 1
        anchors.top: parent.top

        ListView
        {
            id: patientList
            anchors.fill: parent
            model: patientNames
            highlight: Rectangle { color: "#c0b6a5"; radius: 3; border.width: 1; border.color: "#80000000" }
            delegate:
                ClickableText
                {
                    width: 200
                    text: name
                    onClickedText: { selectedItem(text) }
                    onSelected: { patientList.currentIndex = indexSelected }
                }
        }
    }

    ListView
    {
        id: patientDataView
        anchors.top: parent.top
        anchors.left: patientListBox.right
        width: parent.width - patientListBox.width
        model: patientData
        height: 200
        delegate: PatientDataViewer
        {
            pName: name
            pAge: age
        }
    }

    ListView
    {
        id: patientOperationList

        anchors.top: patientDataView.bottom
        anchors.left:  patientListBox.right
        width: parent.width - patientListBox.width
        height:  100

        model: patientOperationData
        highlight: Rectangle { color: "#c0b6a5"; radius: 3; border.width: 1; border.color: "#80000000" }

        header:
            ListViewHeader
            {
                height: 15
                headerText: "Operations: "
            }

        delegate:
            OperationDataViewer
            {
                x: 20
                width: parent.width - 20
                oDate: date
                oName: name
                oObservation: observation
                onSelected: { patientOperationList.currentIndex = indexSelected ; operationSelected(name,Qt.formatDateTime(date,"yyyy-mm-dd")) }
            }
    }
}
