import QtQuick 1.0

Item
{
    id: textInformationEdit
    property string labelText: "Label Text"
    property alias text: information.text
    property int editWidth: 100
    property int informationXOffset: 0
    property alias validator: information.validator

    signal informationChanged(string newInfo)

    width: parent.width
    height: label.font.pixelSize + 4

    Text
    {
        id: label
        text: labelText
    }

    Rectangle
    {
        id: informationBox
        width:  textInformationEdit.editWidth
        height: 15
        border.width: 1
        border.color: "black"
        radius: 3
        anchors.right: parent.right
        anchors.rightMargin: informationXOffset
        color: "white"

        TextInput
        {
            anchors.fill: parent
            anchors.leftMargin: 3
            id: information
            text: "Text"
            color: "#26b400"

            Keys.onPressed:
            {
                 if (event.key == Qt.Key_Enter || event.key == Qt.Key_Return)
                 {
                     information.focus = false // Will send informationChanged from onFocusChanged
                 }
            }

            onFocusChanged:
            {
                if ( focus == false ) // Focus lost
                {
                    informationChanged(text);
                }
            }
        }
    }
}
