#ifndef __SSLCLIENT_H__
#define __SSLCLIENT_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "NClient.h"

#include <QString>
#include <QSslError>

class SSLClient : public NClient
{
    Q_OBJECT

protected:

    Q_SLOT void reportErrors(QList<QSslError> sslErrors);

public:
    SSLClient(Logger* pLogger, const QString& virtualMachineName, QObject* parent=0);

    void connectSocket(const QString& hostName, quint16 port);
};

/*! \class SSLClient SSLClient.h "Network/Client/SSLClient.h"
    \brief Implementation of a network client using SSL
 */

/*! \fn SSLClient::SSLClient(Logger* pLogger, const QString& virtualMachineName, QObject* parent=0)
    \param pLogger
    \param virtualMachineName the virtual name of the client
    \param parent
 */

/*! \fn void SSLClient::reportErrors(QList<QSslError> sslErrors)
    \brief Reports SSL related errors (other errors are reported by the base function reportErrors())
    \param sslErrors
 */

#endif
