/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "MachineDataReader.h"

#include <QString>
#include <QStringList>
#include <QDebug>

MachineDataReader :: MachineDataReader(const QString& fileName)
    :SettingsReader(fileName)
{
    this->read();
}

void MachineDataReader :: read()
{
    if ( !m_SettingFile.isOpen() )
    {
        qDebug() << "MachineData file not found";
        return;
    }

    while ( m_SettingFile.atEnd() == false )
    {
        QString line = m_SettingFile.readLine();
        QStringList data = line.split(" ",QString::SkipEmptyParts);
        if ( data.size() != 2 )
        {
            // Problem in some line of the file
            qDebug() << "Invalid line in MachineData file";
            // We skip it
            continue;
        }

        m_machineData.append(MachineData(data[0],data[1]));
    }
}
