/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "DataUtils.h"

#include <cassert>

int DataUtils::charDWordToInt(const char* pDWord)
{
    assert(pDWord);

    return ((pDWord[0] << 24) & 0xFF000000) +
           ((pDWord[1] << 16) & 0x00FF0000) +
           ((pDWord[2] << 8)  & 0x0000FF00) +
           (pDWord[3]         & 0x000000FF);
}

void DataUtils::intToDWordChar(int data, char* pDWord)
{
    assert(pDWord);

    pDWord[0] = (data >> 24) & 0xFF;
    pDWord[1] = (data >> 16) & 0xFF;
    pDWord[2] = (data >> 8) & 0xFF;
    pDWord[3] = data & 0xFF;
}
