/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "QMLWidget.h"

#include <QtDeclarative/QDeclarativeView>
#include <QGraphicsObject>
#include <QObject>
#include <QResizeEvent>

#include <QDebug>

QMLWidget :: QMLWidget(QWidget* parent)
    :QWidget(parent)
{
    m_pView = new QDeclarativeView(this);
    m_pQMLObject = NULL;
}

QMLWidget :: ~QMLWidget()
{
    delete m_pView;
}

bool QMLWidget :: load(const QString& fileName)
{
    m_pView->setSource(QUrl(fileName));
    m_pView->show();
    m_pQMLObject = m_pView->rootObject();
    this->setMinimumSize(m_pView->size());

    return this->updateQML();
}

void QMLWidget :: resizeEvent(QResizeEvent* pResizeEvent)
{
    m_pView->resize(pResizeEvent->size());
    pResizeEvent->accept();
}
