#ifndef __FILEDATAOBJECT_H__
#define __FILEDATAOBJECT_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <QObject>

class FileDataObject : public QObject
{
    Q_OBJECT

    Q_PROPERTY(QString category READ category CONSTANT)
    Q_PROPERTY(QString fileName READ fileName CONSTANT)
    Q_PROPERTY(QString folderName READ folderName CONSTANT)

private:
    QString m_category;
    QString m_folderName;
    QString m_fileName;

public:
    FileDataObject(QObject* parent=0):QObject(parent) {}
    FileDataObject(const QString& category, const QString& folderName, const QString& fileName, QObject* parent=0):QObject(parent),m_category(category),m_folderName(folderName),m_fileName(fileName) {}

    const QString& category()const { return m_category; }
    const QString& folderName()const { return m_folderName; }
    const QString& fileName()const { return m_fileName; }
};

/*! \class FileDataObject FileDataObject.h "UI/Types/FileDataObject.h"
    \brief QML Object to transfer file information
*/

/*! \fn FileDataObject::FileDataObject(QObject* parent=0)
    \param parent
*/

/*! \fn FileDataObject::FileDataObject(const QString& category, const QString& folderName, const QString& fileName, QObject* parent=0)
    \param category
    \param folderName
    \param fileName
    \param parent
*/

/*! \fn const QString& FileDataObject::category()const
    \brief
    \return
 */

/*! \fn const QString& FileDataObject::folderName()const
    \brief
    \return
 */

/*! \fn const QString& FileDataObject::fileName()const
    \brief
    \return
 */

#endif
