#ifndef __HELLOWORLDMODULE_H__
#define __HELLOWORLDMODULE_H__

/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include <QObject>
#include <QPushButton>

#include "Module/ModuleInterface.h"

class QWidget;

class HelloWorldModule : public QObject, ModuleInterface
{
    Q_OBJECT
    Q_INTERFACES(ModuleInterface)

private:

    QWidget* pParentWidget;
    QPushButton* m_pPushButton;

protected:

    Q_SLOT void popupMessage();

public:
    HelloWorldModule() { m_moduleName = "HelloWorldModule" ; m_logoSource = ""; }
    ~HelloWorldModule();

    void createGui(QWidget* parent = 0);
    void setPatientData(Patient* pPatient, const QString& folderName);
    bool needDisplay();

    const QString& name() { return m_moduleName; }
    const QUrl& imageSource() { return m_logoSource; }

    QWidget* getWidget() { return m_pPushButton; }

    Q_SIGNAL void clientChanged(Patient* pPatient);
};

#endif // __HELLOWORLDMODULE_H__
