/*
 * Copyright 2011
 * 'MedCenter' is an interactive application for hospitals.
 * (c) Copyright 2011 - Abdelhafid Hafidi  <std.abdel[at]gmail.com>
 *                    - Alexandre Laurent  <lw.demoscene[at]gmail.com>
 *
 * [GPL]
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

#include "Scan.h"

#include <QByteArray>
#include <QTemporaryFile>

Scan Scan::load(const QString& fileName)
{
    Scan scan;

    scan.m_name = fileName;
    scan.m_scanPixmap = QPixmap(fileName);

    return scan;
}

Scan Scan::load(const QString& scanName, const QByteArray& data)
{
    Scan scan;
    // Using temporary file since QPixmap constructor can't read from QByteArray
    QTemporaryFile tmpDataFile;
    if (tmpDataFile.open() )
    {
        tmpDataFile.write(data);
        scan.m_name = scanName;
        scan.m_scanPixmap = QPixmap(tmpDataFile.fileName());
    }

    return scan;
}
